org.eclnt.jsfserver.elements.util

## Class DefaultFIXGRIDExportInfoProvider

- java.lang.Object
- - org.eclnt.jsfserver.elements.util.DefaultFIXGRIDExportInfoProvider

- All Implemented Interfaces:
    IFIXGRIDExportInfoProvider

      public class DefaultFIXGRIDExportInfoProvider
      extends java.lang.Object
      implements IFIXGRIDExportInfoProvider

  Default implementation for interfaces `IFIXGRIDExportInfoProvider`. Use this class for extending your own implementations.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultFIXGRIDExportInfoProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `findAlignmentForDataCell(int rowIndex, java.lang.String dataCellValue, ColumnInfo column)`
    `java.lang.String` | `findAlignmentForFooterCell(int footerRowIndex, java.lang.String dataCellValue, ColumnInfo column)`
    `java.lang.String` | `findAlignmentForHeaderCell(int headerRowIndex, java.lang.String dataCellValue, ColumnInfo column)`
    `java.lang.String` | `findBackgroundColorForDataCell(int rowIndex, java.lang.String dataCellValue, ColumnInfo column)`
    `java.lang.String` | `findBackgroundColorForFooterCell(int footerRowIndex, java.lang.String dataCellValue, ColumnInfo column)`
    `java.lang.String` | `findBackgroundColorForHeaderCell(int headerRowIndex, java.lang.String dataCellValue, ColumnInfo column)`
    `int` | `findColumnWidthForPDFColumn(ColumnInfo column, int calculatedWidth)` Explicitly pass back the PDF width of the column.
    `java.lang.String` | `findFontForDataCell(int rowIndex, java.lang.String dataCellValue, ColumnInfo column)`
    `java.lang.String` | `findFontForFooterCell(int rowIndex, java.lang.String dataCellValue, ColumnInfo column)`
    `java.lang.String` | `findFontForHeaderCell(int rowIndex, java.lang.String dataCellValue, ColumnInfo column)`
    `java.lang.Float` | `findPDFHeightForDataRow(int rowIndex)` Height that is passed as fixed height into the cells of a data row.
    `java.lang.Float` | `findPDFHeightForFooterRow(int rowIndex)` Height that is passed as fixed height into the cells of a footer row.
    `java.lang.Float` | `findPDFHeightForHeaderRow(int rowIndex)` Height that is passed as fixed height into the cells of a header row.
    `java.lang.String` | `findTextColorForDataCell(int rowIndex, java.lang.String dataCellValue, ColumnInfo column)`
    `java.lang.String` | `findTextColorForFooterCell(int rowIndex, java.lang.String dataCellValue, ColumnInfo column)`
    `java.lang.String` | `findTextColorForHeaderCell(int rowIndex, java.lang.String dataCellValue, ColumnInfo column)`
    `java.util.List<java.util.List<java.lang.String>>` | `updateFooterRows(java.util.List<java.util.List<java.lang.String>> footerRows)` Allows to explicitly update the rows that form the footer part of the table.
    `java.util.List<java.util.List<java.lang.String>>` | `updateHeaderRows(java.util.List<java.util.List<java.lang.String>> headerRows)` Allows to explicitly update the rows that form the header part of the table.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultFIXGRIDExportInfoProvider

          public DefaultFIXGRIDExportInfoProvider()

  - ### Method Detail

    - #### findPDFHeightForDataRow

          public java.lang.Float findPDFHeightForDataRow(int rowIndex)

      Description copied from interface: `IFIXGRIDExportInfoProvider`
      Height that is passed as fixed height into the cells of a data row. The height of a normal data cell is about 25.
      If return null as result then the height will be automatically calculated and follows the content of the cell.
      Specified by:
        `findPDFHeightForDataRow` in interface `IFIXGRIDExportInfoProvider`

    - #### findPDFHeightForHeaderRow

          public java.lang.Float findPDFHeightForHeaderRow(int rowIndex)

      Description copied from interface: `IFIXGRIDExportInfoProvider`
      Height that is passed as fixed height into the cells of a header row. The height of a normal data cell is about 25.
      If return null as result then the height will be automatically calculated and follows the content of the cell.
      Specified by:
        `findPDFHeightForHeaderRow` in interface `IFIXGRIDExportInfoProvider`

    - #### findPDFHeightForFooterRow

          public java.lang.Float findPDFHeightForFooterRow(int rowIndex)

      Description copied from interface: `IFIXGRIDExportInfoProvider`
      Height that is passed as fixed height into the cells of a footer row. The height of a normal data cell is about 25.
      If return null as result then the height will be automatically calculated and follows the content of the cell.
      Specified by:
        `findPDFHeightForFooterRow` in interface `IFIXGRIDExportInfoProvider`

    - #### findBackgroundColorForDataCell

          public java.lang.String findBackgroundColorForDataCell(int rowIndex,
                                                                 java.lang.String dataCellValue,
                                                                 ColumnInfo column)

      Specified by:
        `findBackgroundColorForDataCell` in interface `IFIXGRIDExportInfoProvider`
      Returns:
        Color string in the format #rrggbb or #rrggbbtt.

    - #### findBackgroundColorForHeaderCell

          public java.lang.String findBackgroundColorForHeaderCell(int headerRowIndex,
                                                                   java.lang.String dataCellValue,
                                                                   ColumnInfo column)

      Specified by:
        `findBackgroundColorForHeaderCell` in interface `IFIXGRIDExportInfoProvider`
      Returns:
        Color string in the format #rrggbb or #rrggbbtt.

    - #### findBackgroundColorForFooterCell

          public java.lang.String findBackgroundColorForFooterCell(int footerRowIndex,
                                                                   java.lang.String dataCellValue,
                                                                   ColumnInfo column)

      Specified by:
        `findBackgroundColorForFooterCell` in interface `IFIXGRIDExportInfoProvider`
      Returns:
        Color string in the format #rrggbb or #rrggbbtt.

    - #### findAlignmentForDataCell

          public java.lang.String findAlignmentForDataCell(int rowIndex,
                                                           java.lang.String dataCellValue,
                                                           ColumnInfo column)

      Specified by:
        `findAlignmentForDataCell` in interface `IFIXGRIDExportInfoProvider`
      Returns:
        "left", "center", "right"

    - #### findAlignmentForHeaderCell

          public java.lang.String findAlignmentForHeaderCell(int headerRowIndex,
                                                             java.lang.String dataCellValue,
                                                             ColumnInfo column)

      Specified by:
        `findAlignmentForHeaderCell` in interface `IFIXGRIDExportInfoProvider`
      Returns:
        "left", "center", "right"

    - #### findAlignmentForFooterCell

          public java.lang.String findAlignmentForFooterCell(int footerRowIndex,
                                                             java.lang.String dataCellValue,
                                                             ColumnInfo column)

      Specified by:
        `findAlignmentForFooterCell` in interface `IFIXGRIDExportInfoProvider`
      Returns:
        "left", "center", "right"

    - #### findTextColorForDataCell

          public java.lang.String findTextColorForDataCell(int rowIndex,
                                                           java.lang.String dataCellValue,
                                                           ColumnInfo column)

      Specified by:
        `findTextColorForDataCell` in interface `IFIXGRIDExportInfoProvider`
      Returns:
        Color string in the format #rrggbb or #rrggbbtt.

    - #### findTextColorForHeaderCell

          public java.lang.String findTextColorForHeaderCell(int rowIndex,
                                                             java.lang.String dataCellValue,
                                                             ColumnInfo column)

      Specified by:
        `findTextColorForHeaderCell` in interface `IFIXGRIDExportInfoProvider`
      Returns:
        Color string in the format #rrggbb or #rrggbbtt.

    - #### findTextColorForFooterCell

          public java.lang.String findTextColorForFooterCell(int rowIndex,
                                                             java.lang.String dataCellValue,
                                                             ColumnInfo column)

      Specified by:
        `findTextColorForFooterCell` in interface `IFIXGRIDExportInfoProvider`
      Returns:
        Color string in the format #rrggbb or #rrggbbtt.

    - #### findFontForDataCell

          public java.lang.String findFontForDataCell(int rowIndex,
                                                      java.lang.String dataCellValue,
                                                      ColumnInfo column)

      Specified by:
        `findFontForDataCell` in interface `IFIXGRIDExportInfoProvider`
      Returns:
        font value in semicolon separated format. CUrrently supported attributes are:
        . "weight:bold"
        . "size:xxx" (xxx represents integer value)

    - #### findFontForHeaderCell

          public java.lang.String findFontForHeaderCell(int rowIndex,
                                                        java.lang.String dataCellValue,
                                                        ColumnInfo column)

      Specified by:
        `findFontForHeaderCell` in interface `IFIXGRIDExportInfoProvider`
      Returns:
        font value in semicolon separated format. CUrrently supported attributes are:
        . "weight:bold"
        . "size:xxx" (xxx represents integer value)

    - #### findFontForFooterCell

          public java.lang.String findFontForFooterCell(int rowIndex,
                                                        java.lang.String dataCellValue,
                                                        ColumnInfo column)

      Specified by:
        `findFontForFooterCell` in interface `IFIXGRIDExportInfoProvider`
      Returns:
        font value in semicolon separated format. CUrrently supported attributes are:
        . "weight:bold"
        . "size:xxx" (xxx represents integer value)

    - #### findColumnWidthForPDFColumn

          public int findColumnWidthForPDFColumn(ColumnInfo column,
                                                 int calculatedWidth)

      Description copied from interface: `IFIXGRIDExportInfoProvider`
      Explicitly pass back the PDF width of the column.
      Specified by:
        `findColumnWidthForPDFColumn` in interface `IFIXGRIDExportInfoProvider`
        `calculatedWidth` - This is the width that is proposed by the default export algorithm. You might return this width by default.

    - #### updateHeaderRows

          public java.util.List<java.util.List<java.lang.String>> updateHeaderRows(java.util.List<java.util.List<java.lang.String>> headerRows)

      Description copied from interface: `IFIXGRIDExportInfoProvider`
      Allows to explicitly update the rows that form the header part of the table.
      Specified by:
        `updateHeaderRows` in interface `IFIXGRIDExportInfoProvider`

    - #### updateFooterRows

          public java.util.List<java.util.List<java.lang.String>> updateFooterRows(java.util.List<java.util.List<java.lang.String>> footerRows)

      Description copied from interface: `IFIXGRIDExportInfoProvider`
      Allows to explicitly update the rows that form the footer part of the table.
      Specified by:
        `updateFooterRows` in interface `IFIXGRIDExportInfoProvider`

Copyright © CaptainCasa Gmbh. All Rights Reserved.